Bug 140464 - kickstart installation waits for user-interaction
kickstart installation waits for user-interaction
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
RHEL3U5
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-22 17:41 EST by david d zuhn
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 04:13:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ignoredisk backport (1.97 KB, patch)
2004-11-23 09:17 EST, Paul Nasrat
no flags Details | Diff

  None (edit)
Description david d zuhn 2004-11-22 17:41:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I have a system with an HBA and a local scsi disk.  The HBA shows up
as sda, sdb, and sdc.  The local scsi disk is sdd.  When I do an
installation, during the partitionobjinit phase, I get a dialog box
with the message "Error opening /dev/sdd: No such device or address"
with two choices (Retry, Cancel).   

Selecting Cancel will allow me to proceed.  But I have found no way to
automate this selection in a kickstart file, allowing me to completely
install the machine in an unattended fashion.   

Version-Release number of selected component (if applicable):
9.3.3-RHEL

How reproducible:
Always

Steps to Reproduce:
1. install on a machine like mine (Dell 2650, with HBA & Local disk)
2. see screen (click & continue)


Additional info:
Comment 1 Jeremy Katz 2004-11-23 08:47:20 EST
Well, one question would be why the disk can't be read as that seems
like something that should be fixed :)

For RHEL4, we've added an 'ignoredisk' directive which should work for
this case.  Assigning to Paul to assess the feasibility of a backport
for a RHEL3 update.
Comment 2 Paul Nasrat 2004-11-23 09:17:26 EST
Created attachment 107301 [details]
Ignoredisk backport

This should be sufficient.
Comment 3 Paul Nasrat 2005-01-04 15:48:16 EST
Commited on tarroon branch for U5
Comment 4 Johnray Fuller 2005-04-14 16:51:47 EDT
I can't find any doncumentation on usage for this in the RHEL 4 docs or package
docs.

I am assuming the syntax for omiting one device is:

ignoredisk <disk-name>

Where  <disk-name> = hda or sdx (with no device path)

and I am assuming the syntax for omiting mulitple devices is is a comma
seperated list, like this:


ignoredisk <disk-name1>,<disk-name3>,<disk-name3>

Is this correct? I want to file an RFE for docs and enter this into the
konwledgebase.

J
Comment 5 Johnray Fuller 2005-04-14 16:58:35 EDT
I promise whatever ends up in the knowledgebase and docs will have better
grammer and spelling than the above passage

 :-P

J
Comment 6 Johnray Fuller 2005-04-15 16:57:46 EDT
Okay, the syntax appears to be:

ignoredisk --drives=hda,sda

Confirmed trough testing.

Let me know if there are any caveats.
Comment 7 Dennis Gregorovic 2005-05-18 10:28:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2005-191.html

Note You need to log in before you can comment on or make changes to this bug.